@echo off
rem Zip up a MINIMAL external, generic + Windows distribution of wxWindows 2.0
set src=%wxwin
set dest=%src\deliver
set wise=0

Rem Set this to the required version
set version=2_1_11

if "%src" == "" goto usage
if "%dest" == "" goto usage
if "%1" == "-help" goto usage
if "%1" == "--help" goto usage
if "%1" == "/?" goto usage
if "%1" == "wiseonly" goto dounzip
if "%1" == "wise" set wise=1
echo About to archive an external wxWindows distribution:
echo   From   %src
echo   To     %dest
if "%wise" == "1" echo with WISE setup creation.
echo CTRL-C if this is not correct.
pause

erase %dest\wx*.zip
erase %dest\glcanvas.zip
erase %dest\ogl3.zip
erase %dest\tex2rtf2.zip
erase %dest\jpeg.zip

if direxist %dest\wx deltree /Y %dest\wx

cd %src
echo Zipping...

zip32 -@ %dest\wx%version%_gen.zip < %src\distrib\msw\generic.rsp
zip32 -@ -u %dest\wx%version%_gen.zip < %src\distrib\msw\makefile.rsp
zip32 -@ %dest\wx%version%_msw.zip < %src\distrib\msw\msw.rsp
zip32 -@ -u %dest\wx%version%_msw.zip < %src\distrib\msw\makefile.rsp

zip32 -@ %dest\wx%version%_hlp.zip < %src\distrib\msw\wx_hlp.rsp
zip32 -@ %dest\wx%version%_wrd.zip < %src\distrib\msw\wx_word.rsp

rem VC++ project files
zip32 -@ %dest\wx%version%_vc.zip < %src\distrib\msw\vc.rsp

copy %src\docs\changes.txt %dest
copy %src\docs\msw\install.txt %dest\install_msw.txt
copy %src\docs\motif\install.txt %dest\install_motif.txt
copy %src\docs\gtk\install.txt %dest\install_gtk.txt
copy %src\docs\readme.txt %dest
copy %src\docs\release.txt %dest
copy %src\docs\motif\makewxmotif %dest
copy %src\docs\gtk\makewxgtk %dest

Rem Skip WISE setup if wise is 0.
if "%wise" == "0" goto end

:dounzip

cd %dest

rem Unzip the Windows files into 'wx'
mkdir %dest\wx

Rem After this change of directory, we're in the
Rem temporary 'wx' directory and not acting on
Rem the source wxWindows directory.
cd %dest\wx
unzip32 -o ..\wx%version%_msw.zip
unzip32 -o ..\wx%version%_gen.zip
unzip32 -o ..\wx%version%_vc.zip
unzip32 -o ..\wx%version%_hlp.zip
Rem Need Word file, for Remstar DB classes
unzip32 -o ..\wx%version%_wrd.zip

rem Now delete a few files that are unnecessary
attrib -R *.*
erase /Y configure *.in *.spec *.guess *.sub mkinstalldirs modules install-sh *.sh BuildCVS.txt Makefile
erase /SY Makefile.in
erase /Y docs\pdf\ogl.pdf
erase /Y docs\winhelp\wxtree.*
erase /Y docs\winhelp\ogl.*
erase /Y docs\winhelp\tex2rtf.*
erase /Y docs\winhelp\dialoged.*
deltree /Y distrib
deltree /Y src\xpm
deltree /Y src\html
deltree /Y src\png
deltree /Y src\zlib
deltree /Y src\unix
deltree /Y include\wx\html
deltree /Y include\wx\unix
deltree /Y docs\html\ogl
deltree /Y locale
deltree /Y tools
deltree /Y samples\forty
deltree /Y samples\caret
deltree /Y samples\checklst
deltree /Y samples\console
deltree /Y samples\db
deltree /Y samples\dde
deltree /Y samples\docvwmdi
deltree /Y samples\genvalid
deltree /Y samples\html
deltree /Y samples\help
deltree /Y samples\internat
deltree /Y samples\image
deltree /Y samples\joytest
deltree /Y samples\menu
deltree /Y samples\mfc
deltree /Y samples\nativdlg
deltree /Y samples\nettest
deltree /Y samples\oleauto
deltree /Y samples\ownerdrw
deltree /Y samples\png
deltree /Y samples\proplist
deltree /Y samples\regtest
deltree /Y samples\richedit
deltree /Y samples\scrollsub
deltree /Y samples\tab
deltree /Y samples\taskbar
deltree /Y samples\text
deltree /Y samples\thread
deltree /Y samples\typetest
deltree /Y samples\wizard
deltree /Y samples\wxsocket
deltree /Y utils\dialoged
deltree /Y utils\serialize
deltree /Y utils\wxMMedia2
deltree /Y utils\nplugin
deltree /Y utils\ogl
deltree /Y utils\glcanvas
deltree /Y utils\wxtree
deltree /Y utils\tex2rtf

rem Now copy some binary files to 'bin'
if not isdir bin mkdir bin
rem copy %src\bin\dialoged.exe bin
rem copy %src\docs\winhelp\dialoged.hlp %src\docs\winhelp\dialoged.cnt bin

rem Time to regenerate the WISE install script, wxwin2min.wse.
rem NB: if you've changed wxwin2.wse using WISE, call splitwise.exe
rem from within distrib\msw, to split off wisetopm.txt and wisebottm.txt.
echo Calling 'makewise' to generate wxwin2min.wse...
call %WXWIN\distrib\msw\makewise_min.bat

erase /Y setup.*

rem Now invoke WISE install on the new wxwin2.wse
set wisecmd="c:\Program Files\wise\wise32.exe" /C %WXWIN\distrib\msw\wxwin2min.wse
echo Invoking %wisecmd...
start /w %wisecmd
Rem ren %WXWIN\deliver\setup.EXE %WXWIN\deliver\setup_%version%.exe

cd %dest

Rem tidy up capitalisation of filenames
ren setup.EXE s
ren s setup.exe

ren setup.w02 s
ren s setup.w02

ren setup.w03 s
ren s setup.w03

ren setup.w04 s
ren s setup.w04

rem Put all the setup files into a single zip archive.
zip32 setup.zip readme.txt setup.*

echo wxWindows archived.

goto end

:usage
echo DOS Minimal wxWindows distribution. Zips up wxMSW files,
echo and optionally makes a deliver\wx directory and a setup.exe
echo if you specify 'wise' (skipping the zipping if you use 'wiseonly').
echo.
echo Usage: zipmin [wise | wiseonly]

:end
